/*------------------------------------------------------------------------------
 src/plugin/djImageIoPng/base.cxx
 
 Copyright (c) 2004-2006 Darby Johnston.
 All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

//#define DJ_DBG
#include "base.h"

extern "C" {
namespace djImageIoPng {

void pngError(png_structp in, png_const_charp msg)
{
  DJ_DBG_FNC("djImageIoPng::pngError");
  DJ_DBG_PRN("message = " << msg);

  longjmp(in->jmpbuf, 1);
}

void pngWarning(png_structp, png_const_charp msg)
{
  DJ_DBG_FNC("djImageIoPng::pngWarning");
  DJ_DBG_PRN("message = " << msg);
}

}
}
